# See the configuration reference at https://symfony.com/bundles/SchebTwoFactorBundle/6.x/configuration.html
scheb_two_factor:
    security_tokens:
        - Symfony\Component\Security\Core\Authentication\Token\UsernamePasswordToken
        - Symfony\Component\Security\Http\Authenticator\Token\PostAuthenticationToken
    persister: scheb_two_factor.persister.doctrine
    email:
        enabled: true
        mailer: scheb_two_factor.security.email.symfony_auth_code_mailer
        sender_email: '%env(string:MFA_EMAIL_SENDER)%'
        sender_name: '%env(string:MFA_EMAIL_SENDER_NAME)%'
        template: 'security/mfa/email.html.twig'
        digits: 6
    backup_codes:
        enabled: true
